kr.co.hanwha.hifive.data.source.contract

## Interface AlarmDataSource

All Superinterfaces:
  BaseDataSource

All Known Implementing Classes:
  AlarmDataRepository

    public interface AlarmDataSource
    extends BaseDataSource

Created by sanghoonkwon on 2018. 1. 22..

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `getAlarmList(android.content.Context context, int page, HanwhaNetworkCallback<AlarmListRoot> callback)` 알람 목록 조회
`void` `requestNotificationOpen(android.content.Context context, AlarmData data, HanwhaNetworkCallback callback)` 알림 확인
`void` `requestNotificationOpen(android.content.Context context, int group_id, int task_id, int project_id, int track_id, HanwhaNetworkCallback callback)` 알림 확인

### Methods inherited from interface kr.co.hanwha.hifive.base.BaseDataSource

`clearData`

### Method Detail

#### getAlarmList

    void getAlarmList(@NonNull
                      android.content.Context context,
                      @NonNull
                      int page,
                      @NonNull
                      HanwhaNetworkCallback<AlarmListRoot> callback)

알람 목록 조회

Parameters:
  `context` - Context
  `page` - PAGE
  `callback` - 콜백

#### requestNotificationOpen

    void requestNotificationOpen(@NonNull
                                 android.content.Context context,
                                 @Nullable
                                 int group_id,
                                 @Nullable
                                 int task_id,
                                 @Nullable
                                 int project_id,
                                 @Nullable
                                 int track_id,
                                 @Nullable
                                 HanwhaNetworkCallback callback)

알림 확인

Parameters:
  `context` - Context
  `group_id` - 노티 그룹 아이디
  `task_id` - Task ID (Optional)
  `project_id` - Project ID (Optional)
  `track_id` - Track ID (Optional)
  `callback` - 콜백

#### requestNotificationOpen

    void requestNotificationOpen(@NonNull
                                 android.content.Context context,
                                 @NonNull
                                 AlarmData data,
                                 @Nullable
                                 HanwhaNetworkCallback callback)

알림 확인

Parameters:
  `context` - Context
  `data` - 알림 정보
  `callback` - 콜백